package domain

type AlibabaWdkMarketingCouponSendmaCommonActivityParam struct {
	/*
	   五道口优惠券活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家优惠券活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaWdkMarketingCouponSendmaCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingCouponSendmaCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingCouponSendmaCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingCouponSendmaCommonActivityParam {
	s.OutActId = &v
	return s
}
